summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-01-20 06:50:36 +0000
committerMike Frysinger <vapier@gentoo.org>2005-01-20 06:50:36 +0000
commitd92e3c0f3bc515e0215f6b719668a45fb9d89b08 (patch)
tree4613928396f06436672b1a114ff9aece48a076d1 /eclass
parentinitial import #68501 (diff)
downloadgentoo-2-d92e3c0f3bc515e0215f6b719668a45fb9d89b08.tar.gz
gentoo-2-d92e3c0f3bc515e0215f6b719668a45fb9d89b08.tar.bz2
gentoo-2-d92e3c0f3bc515e0215f6b719668a45fb9d89b08.zip
add support for src_test
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass12
1 files changed, 10 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index c4a158d1ae11..83d2d07868a1 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.90 2005/01/18 08:45:43 eradicator Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.91 2005/01/20 06:50:36 vapier Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -10,7 +10,7 @@ inherit eutils versionator libtool toolchain-funcs flag-o-matic gnuconfig
ECLASS=toolchain
INHERITED="$INHERITED $ECLASS"
-EXPORT_FUNCTIONS pkg_setup src_unpack src_compile pkg_preinst src_install pkg_postinst pkg_prerm pkg_postrm
+EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_test pkg_preinst src_install pkg_postinst pkg_prerm pkg_postrm
DESCRIPTION="Based on the ${ECLASS} eclass"
FEATURES=${FEATURES/multilib-strict/}
@@ -24,6 +24,9 @@ toolchain_src_unpack() {
toolchain_src_compile() {
gcc_src_compile
}
+toolchain_src_test() {
+ gcc_src_test
+}
toolchain_pkg_preinst() {
${ETYPE}_pkg_preinst
}
@@ -1163,6 +1166,11 @@ gcc_src_compile() {
popd > /dev/null
}
+gcc_src_test() {
+ cd ${WORKDIR}/build
+ make check || die "check failed :("
+}
+
gcc-library_src_install() {
einfo "Installing ${PN} ..."
# Do the 'make install' from the build directory